---
search:
  tags:
    - Warehouses
    - PATCH
seo:
  description: >-
    Updates an existing warehouse's name,… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug} endpoint in the
    Management API.
sidebar:
  label: Update a warehouse
  badge: PATCH
title: Update a warehouse
type: openapi-operation
---
Updates an existing warehouse's name, slug, address, online availability status, and market associations. Only provided fields will be updated.

`PATCH /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}`

**Request body** (`application/json`, required)

Warehouse data

- `address` (internal_pkg_webserver_v1.InputWarehouseAddress, required)
- `available_online` (boolean)
- `markets` (string[])
- `name` (string, required)
- `slug` (string, required)

Request body example:

```json
{
  "address": {
    "city": "string",
    "country": "string",
    "postal_code": "string",
    "state": "string",
    "street_address": "string"
  },
  "available_online": true,
  "markets": [
    "string"
  ],
  "name": "string",
  "slug": "string"
}
```

**Responses**

- `200` — Warehouse updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "address": {
      "city": "string",
      "country": "string",
      "postal_code": "string",
      "state": "string",
      "street_address": "string"
    },
    "app_id": "string",
    "available_online": true,
    "created_at": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
